org.apache.ignite.spi.communication.tcp.internal

## Class HandshakeTimeoutObject<T>

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.HandshakeTimeoutObject<T>

All Implemented Interfaces:
  IgniteSpiTimeoutObject

    public class HandshakeTimeoutObject<T>
    extends Object
    implements IgniteSpiTimeoutObject

Callback that is intended to be executed after timeout on handshake.

### Constructor Summary

Constructors
Constructor and Description
`HandshakeTimeoutObject(T obj, long endTime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()`
`long` `endTime()`
`IgniteUuid` `id()`
`void` `onTimeout()` Timeout callback.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HandshakeTimeoutObject

    public HandshakeTimeoutObject(T obj,
                                  long endTime)

Parameters:
  `obj` - Client.
  `endTime` - End time.

### Method Detail

#### cancel

    public boolean cancel()

Returns:
  `True` if object has not yet been timed out.

#### onTimeout

    public void onTimeout()

Timeout callback.

Specified by:
  `onTimeout` in interface `IgniteSpiTimeoutObject`

#### endTime

    public long endTime()

Specified by:
  `endTime` in interface `IgniteSpiTimeoutObject`
Returns:
  End time.

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `IgniteSpiTimeoutObject`
Returns:
  Unique object ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021